import { IgrPolarLineSeriesBase } from "./igr-polar-line-series-base";
import { PolarSplineAreaSeries } from "./PolarSplineAreaSeries";
/**
 * Represents a IgxDataChartComponent polar spline area series.
*/
export class IgrPolarSplineAreaSeries extends IgrPolarLineSeriesBase {
    createImplementation() {
        return new PolarSplineAreaSeries();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the Stiffness property.
    */
    get stiffness() {
        return this.i.o7;
    }
    set stiffness(v) {
        this.i.o7 = +v;
    }
}
